--enable-exceptions build exception-safe library
--enable-ffile use wxFFile class
--enable-file use wxFile class
+ --enable-filehistory use wxFileHistory class
--enable-filesystem use virtual file systems classes
--enable-fontenum use wxFontEnumerator class
--enable-fontmap use font encodings conversion classes
# to be removed when --disable-gtk2 isn't needed
if test "x$wxUSE_GTK2" = "xyes"; then
wxGTK_VERSION=2
+ wxUSE_GTK1=0
elif test "x$wxUSE_GTK2" = "xno"; then
wxGTK_VERSION=1
+ wxUSE_GTK1=1
fi
for toolkit in $ALL_TOOLKITS; do
echo "${ECHO_T}$result" >&6; }
+ enablestring=
+ defaultval=$wxUSE_ALL_FEATURES
+ if test -z "$defaultval"; then
+ if test x"$enablestring" = xdisable; then
+ defaultval=yes
+ else
+ defaultval=no
+ fi
+ fi
+
+ { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-filehistory" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-filehistory... $ECHO_C" >&6; }
+ # Check whether --enable-filehistory was given.
+if test "${enable_filehistory+set}" = set; then
+ enableval=$enable_filehistory;
+ if test "$enableval" = yes; then
+ wx_cv_use_filehistory='wxUSE_FILE_HISTORY=yes'
+ else
+ wx_cv_use_filehistory='wxUSE_FILE_HISTORY=no'
+ fi
+
+else
+
+ wx_cv_use_filehistory='wxUSE_FILE_HISTORY=${'DEFAULT_wxUSE_FILE_HISTORY":-$defaultval}"
+
+fi
+
+
+ eval "$wx_cv_use_filehistory"
+
+ if test x"$enablestring" = xdisable; then
+ if test $wxUSE_FILE_HISTORY = no; then
+ result=yes
+ else
+ result=no
+ fi
+ else
+ result=$wxUSE_FILE_HISTORY
+ fi
+
+ { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
enablestring=
defaultval=$wxUSE_ALL_FEATURES
if test -z "$defaultval"; then
+USE_XINERAMA=0
if test "$wxUSE_DISPLAY" = "yes"; then
- if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_OLD_COCOA" != 1; then
+ if test "$wxUSE_MOTIF" = 1 -o "$wxUSE_X11" = 1 -o "$wxUSE_GTK1" = 1; then
{ echo "$as_me:$LINENO: checking for Xinerama" >&5
echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6; }
if test "$ac_path_to_link" != " -L/usr/lib" ; then
LDFLAGS="$LDFLAGS $ac_path_to_link"
fi
+ USE_XINERAMA=1
GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXinerama"
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+ { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
+echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
+ wxUSE_DISPLAY="no"
+ fi
+ elif test "$wxUSE_MSW" = 1; then
+ { echo "$as_me:$LINENO: checking for ddraw.h" >&5
+echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_ddraw_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <windows.h>
+
+#include <ddraw.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_cv_header_ddraw_h=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
- { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
+ ac_cv_header_ddraw_h=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
+echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
+
+
+ fi
+fi
+
+if test "$wxUSE_DISPLAY" = "yes"; then
+ if test "$USE_XINERAMA" = 1 -o "$wxUSE_GTK" = 1; then
+ { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6; }
ac_find_libraries=
done
done
- if test "$ac_find_libraries" != "" ; then
- { echo "$as_me:$LINENO: result: yes" >&5
+ if test "$ac_find_libraries" != "" ; then
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
for ac_header in X11/extensions/xf86vmode.h
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #if HAVE_X11_XLIB_H
- #include <X11/Xlib.h>
- #endif
+ #if HAVE_X11_XLIB_H
+ #include <X11/Xlib.h>
+ #endif
#include <$ac_header>
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
- GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
+ GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
fi
done
- else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- fi
-
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
- { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
-echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
- wxUSE_DISPLAY="no"
fi
- elif test "$wxUSE_MSW" = 1; then
- { echo "$as_me:$LINENO: checking for ddraw.h" >&5
-echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_ddraw_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <windows.h>
-
-#include <ddraw.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_cv_header_ddraw_h=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_header_ddraw_h=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
-echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
-
-
fi
fi
fi
fi
+if test "$wxUSE_FILE_HISTORY" = "yes"; then
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FILE_HISTORY 1
+_ACEOF
+
+fi
+
if test "$wxUSE_FILESYSTEM" = "yes"; then
if test "$wxUSE_STREAMS" != yes -o \( "$wxUSE_FILE" != yes -a "$wxUSE_FFILE" != yes \); then
{ echo "$as_me:$LINENO: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&5